## python-gplearn 0.4.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gplearn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gplearn.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gplearn"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gplearn"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-gplearn (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090144).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jan 2025 14:24:38 +0000

python-gplearn (0.4.2-2) unstable; urgency=medium

  * Source-only upload.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 30 Jul 2024 00:10:00 +0000

python-gplearn (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #903226)

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 27 Jul 2024 22:00:00 +0000

=== debian/control ===
Source: python-gplearn
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/trevorstephens/gplearn
Vcs-Git: https://salsa.debian.org/python-team/packages/python-gplearn.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gplearn
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-joblib,
 python3-numpydoc <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sklearn,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc2 <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-gplearn
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Genetic Programming in Python, with a scikit-learn inspired API
 `gplearn` implements Genetic Programming in Python, with a
 `scikit-learn <http://scikit-learn.org>`_ inspired and
 compatible API.
 While Genetic Programming (GP) can be used
 to perform a `very wide variety of tasks
 <http://www.genetic-programming.org/combined.php>`_, gplearn
 is purposefully constrained to solving symbolic regression
 problems. This is motivated by the scikit-learn ethos, of
 having powerful estimators that are straight-forward to
 implement.
 Symbolic regression is a machine learning
 technique that aims to identify an underlying mathematical
 expression that best describes a relationship. It begins by
 building a population of naive random formulas to represent
 a relationship between known independent variables and their
 dependent variable targets in order to predict new data.
 Each successive generation of programs is then evolved
 from the one that came before it by selecting the fittest
 individuals from the population to undergo genetic operations.

Package: python-gplearn-doc
Architecture: all
Section: doc
Depends:
 node-mathjax-full,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-gplearn
 `gplearn` implements Genetic Programming in Python, with a
 `scikit-learn <http://scikit-learn.org>`_ inspired and
 compatible API.
 While Genetic Programming (GP) can be used
 to perform a `very wide variety of tasks
 <http://www.genetic-programming.org/combined.php>`_, gplearn
 is purposefully constrained to solving symbolic regression
 problems. This is motivated by the scikit-learn ethos, of
 having powerful estimators that are straight-forward to
 implement.
 Symbolic regression is a machine learning
 technique that aims to identify an underlying mathematical
 expression that best describes a relationship. It begins by
 building a population of naive random formulas to represent
 a relationship between known independent variables and their
 dependent variable targets in order to predict new data.
 Each successive generation of programs is then evolved
 from the one that came before it by selecting the fittest
 individuals from the population to undergo genetic operations.
 .
 This package contains documentation for gplearn.

=== debian/watch ===
version=4
https://github.com/trevorstephens/gplearn/tags .*/(\d\S+)\.tar\.gz
